Page MenuHomePhabricator

Add the publish button
Closed, ResolvedPublic

Description

  • add the asset
  • add the button component
  • add a decorating component showing either save or edit depending on edit mode

    Use this asset to visualize the save action, please

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2019, 1:49 PM
Jakob_WMDE renamed this task from Add the save button icon asset to Add the save button.Mar 18 2019, 2:19 PM
Jakob_WMDE updated the task description. (Show Details)
Pablo-WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-11 board.

@Hanna_Petruschat_WMDE Thanks for the asset!

@Lea_WMDE In addition to the icons immediately visible we also use messages to explain what buttons do (e.g. screenreaders). As of T161367 there are two "competing" messages for the action of persisting, "save" & "publish". Which one is chosen is configurable per installation. Does this configurability have to be reflected in termbox or can we favor one over the other (i.e. always use "publish" implying that termbox will only every be used on Wikimedia projects)?

@Lea_WMDE In addition to the icons immediately visible we also use messages to explain what buttons do (e.g. screenreaders). As of T161367 there are two "competing" messages for the action of persisting, "save" & "publish". Which one is chosen is configurable per installation. Does this configurability have to be reflected in termbox or can we favor one over the other (i.e. always use "publish" implying that termbox will only every be used on Wikimedia projects)?

Just publish sounds best to me, even when it is not configurable I would assume other project could live with the "publish" wording as well :)

Pablo-WMDE renamed this task from Add the save button to Add the publish button.Mar 19 2019, 1:27 PM

Change 497539 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[wikibase/termbox@master] Publish changes: add button and use of it

https://gerrit.wikimedia.org/r/497539

This comment was removed by Pablo-WMDE.

Change 497539 merged by jenkins-bot:
[wikibase/termbox@master] Publish changes: add button and first shy use of it

https://gerrit.wikimedia.org/r/497539

Pablo-WMDE closed this task as Resolved.Apr 8 2019, 10:39 AM